package cn.com.qmth.examcloud.reports.commons.bean;

import java.util.Date;

import cn.com.qmth.examcloud.reports.commons.enums.Topic;

public class LoginStudentReport extends BaseReport {
	private Long rootOrgId;
	private Long studentId;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}


	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}


	public LoginStudentReport(Long rootOrgId, Long studentId) {
		super();
		this.rootOrgId = rootOrgId;
		this.studentId = studentId;
		this.topic = Topic.STUDENT_LOGIN.getCode();
	}

	public LoginStudentReport(Boolean reportOnException, Date reportTime, String reportHost, Long rootOrgId,
			 Long studentId) {
		super(reportOnException, reportTime, reportHost);
		this.rootOrgId = rootOrgId;
		this.studentId = studentId;
		this.topic = Topic.STUDENT_LOGIN.getCode();
	}

}
